
      @import url("https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans&display=swap");

      * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
        font-family: "Plus Jakarta Sans", sans-serif;
        scroll-behavior: smooth;
        transition: .1s;
        user-select: none;F
      }

      :root {
    --lightgray: black;
    --blue: #B200CA;
 }

      body {
        font-size: clamp(10px, 4vw, 22px);
        overflow-x: hidden !important;
        color: #c59655;
        background-color: black;
      }

.customers-link {
        position: absolute;
        top: 10px;
        right: 10px;
        text-align: right;
        font-weight: bold;
        font-size: 16px;
      }
      
      .customers-link a {
        background-color: #black;
        color: #C59655;
        padding: 10px;
        border-radius: 5px;
        text-decoration: none;
      }


      header {
        padding: 10px;
        display: flex;
        align-items: center;
        gap: 10px;
      }

      header img {
        height: clamp(30px, 4vw, 50px);
      }

      main {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 10px;
      }

      main section {
        height: 90vh;
        padding: 7px;
        overflow-y: scroll;
        
      }

      #dwn2 {
        display: none;

       }

      .sec1 {
        width: 70vw;
        border-radius: 0px 20px 0px 20px;
        overflow-x:hidden;
      }

      #sec2 {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 30vw;
        border-radius: 20px 0 20px 0;
        
      }
     .shortcut{
        margin-top: 10px;
        width: 200px;
        display: flex;
        border-radius: 2px;
      }
      .shortcut button{
        width: 50%;
        border-radius: 0;
      }
      .shortcut select{
        width: 50%;
        outline: none;
        border: none;
      }

      .text {
        margin-top: 20px;
        position: relative;
      }

      .text input {
        width: 100%;
        border: none;
        outline: none;
        padding-left: 1px;
        font-size: 16px;
        border-bottom: 1px solid;
        background-color: transparent;
        padding: 15px 15px 7px 1px;
      
      }

.color-picker-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid #ccc;
  background-color: #f6f6f6;
}

      .text label {
        position: absolute;
        left: 1px;
        top: 10px;
        transition: 0.2s;
      }

      .text input:valid,
      .text input:focus {
        border-bottom: 2px solid var(--blue);
      }

      .text input:valid + label,
      .text input:focus + label {
        top: -8px;
        font-size: 12px;
        color: var(--blue);;
      }

      #qrpreview {
        font-size: 200px;
        
      }

      nav {
        position: relative;
        overflow: hidden;
      }

      nav ul {
        display: flex;
        align-items: center;
        gap: 10px;
        padding: 10px 50px;
        overflow-x: auto;
      }

      ul::-webkit-scrollbar {
        display: none;
        
        
      }

      ul li {
        white-space: nowrap;
        list-style: none;
        padding: 5px 16px;
        background-color: #eaeaea;
        border-radius: 25px;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 2px;
      }
ul li:hover{
        background-color: #dedede;
  
}
      canvas:hover {
        transform: scale(1.1);
        cursor: crosshair;
      }

      .arrow {
      position: absolute; 
      height: 100%;
      top:0;
      display: grid;
        padding: 0 5px;
      place-items: center;
      background-color: var(--lightgray);
      cursor: pointer;  
      }

      .arrow.left {
        left: 0;
        box-shadow: 0 0 20px 10px #f1f1f1;
      }

      .arrow.right {   
      right: 0;
        box-shadow: 0 0 30px 10px #f1f1f1;
      }

      [data-content] {
        display: none;
      }

      .active[data-content] {
        display: block;
      }

      .active[data-tabs] {
        transition: 0.2s;
        background-color: var(--blue);
        color: white;
      }

      .options {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        gap: 10px;
      }

      .tabs-content {
        margin-top: 10px;
        padding: 10px;
        width: 100vw;
        min-height: 290px;
      }
      .downloadbtn {
        background-color: var(--blue);
      }

.shortcut select {
  height: 36px;
  margin-top: 10px;
  color: white;
  

  /* Add a left to right gradient to the background */
  background: linear-gradient(to right, #745934, #615848, #C59655);

  /* Set the following properties */
  border: none;
  outline: none;
  padding: 0 10px;
  font-size: 16px;
  border-radius: 2px;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

      .qrs {
        width: 140px;
        height: 170px;
        display: flex;
        gap: 5px;
        padding: 9px 3px;
        border-radius: 10px;
        box-sizing: content-box;
        flex-direction: column;
        align-items: center;
        overflow: hidden;
        background-color: #e0e0e0;
      }
      .controls {
        margin-top: 10px;
        display: flex;
      }

      .doubleColor {
        padding: 5px 0;
        display: flex;
        align-items: center;
        height: 100%;
      }

      .row1 {
        float: left;
        margin-right: 10px;
        width: 48%;
      }

      .row1 label {
        white-space: nowrap;
        display: inline-block;
        padding: 10px;
      }

      .row2 {
        float: left;
        width: 48%;
      }

      #typing {
        color: var(--blue);;
        position: relative;
      }

      input {
        font-size: clamp(10px, 4vw, 20px);
      }
      #style {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-around;
        gap: 5px;
      }
      .controls select {
        font-size: clamp(10px, 4vw, 20px);
        cursor: pointer;
        width: 100%;
        outline: none;
        padding: 10px 0;
        border: none;
        border-bottom: 1px solid;
      }

      input[type="number"] {
        display: inline-block;
        padding: 10px 2px;
        border: none;
        outline: none;
        border-bottom: 1px solid;
        width: 100%;
      }

      input:focus {
        border-bottom: 2px solid var(--blue);;
      }

      input[type="file"] {
        padding: 10px 0;
        border: none;
        outline: none;

        border-radius: 5px;
      }

      input[type="checkbox"] {
        accent-color: red;
        height: 20px;
        width: 20px;
      }

      input[type="range"] {
        width: 100%;
      }

      input[type="text"],
input[type="url"] {
  width: 100%;
  border: none;
  padding: 10px 2px;
  outline: none;
  border-bottom: 1px solid black;
}

input[type=text] {
  color: white;
  background-color: black;
  
}

      button {
        padding: 10px 15px;
        background-color: var(--blue);
        color: #c59655;
        border: none;
        outline: none;
        font-weight: bold;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 5px;
        border-radius: 25px;
      }
 .offline{
        position: fixed;
        width: 100%;
        height: 100vh;
        background-color: white;
   color:black;
        z-index: 999;
        top: 0;
        left: 0;
        align-items: center;
        justify-content: center;
        display: none;

      }
      .page{
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
      .page p{
        padding: 10px;
        border-left: 1px solid;
        margin-left: 10px;
      }
      .page h3{
        padding: 10px;
      }
     
      ::-webkit-scrollbar {
        width: 0px;
      }

      @media (width <=780px) {
        main {
          flex-direction: column;
        }

        .sec1 {
          width: 95vw;
          border-radius: 10px;
        }

        #sec2 {
          width: 95vw;
          border-radius: 10px;
          
        }

        main section {
          height: inherit;
        
        }
        .shortcut{
          display: none;
        }
      }
 @media (prefers-color-scheme: dark) {
        body {
          background-color: #202020;
          color: #e7e7ff;
        }
        main section {
          background-color: #242424;
        }
        input,
        select {
          background-color: #2c2c2c;
          color: #e0e0e0;
        }
   .loading{
     background-color: #2c2c2c;
   }
        ul li {
          background-color: #2c2c2c;
        }
        ul li:hover {
          background-color: #454545;
        }
        .arrow {
          background-color: #242424;
        }
        .arrow.left {
          box-shadow: 0 0 20px 10px #242424;
        }
        .arrow.right {
          box-shadow: 0 0 30px 10px #242424;
        }
   .text input{
     border-bottom: 1px solid gray;
   }

    